#!/usr/bin/python
# coding: utf-8

from distutils import util
from distutils.core import setup

import pdfmerge


def check_scripts(scripts):
    """Add Windows scripts when needed."""
    result = scripts
    if util.get_platform()[:3] == 'win':
        result += [script + '.bat' for script in scripts]
    return result


OPTS = {
    'name': 'pdfmerge',
    'version': pdfmerge.__version__.replace('pre', ''),
    'author': pdfmerge.__author__,
    'author_email': pdfmerge.__email__,
    'url': 'https://github.com/metaist/pdfmerge',
    'download_url': 'https://github.com/metaist/pdfmerge',
    'description': pdfmerge.__doc__.split('\n')[0],
    'long_description': pdfmerge.__doc__,
    'py_modules': ['pdfmerge'],
    'install_requires': ['pyPdf'],
    'scripts': check_scripts(['scripts/pdfmerge']),
    'keywords': 'pdf merge',
    'license': pdfmerge.__license__,
    'classifiers': [
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 2',
        'License :: OSI Approved :: MIT License',
        'Topic :: Software Development :: Libraries'
    ]
}


if util.get_platform()[:3] == 'win':
    import py2exe
    OPTS['console'] = ['pdfmerge.py']

setup(**OPTS)
